# Prometheus - A Demonstrator Map for my Texture-Set

## Overview  
Prometheus is a custom map for the open-source FPS/RTS hybrid game *Unvanquished*.  
It was designed as a demonstrator for my texture set [mas01](https://github.com/Masmblr/mas01-Texture-Set). 

## Story
> **CLASSIFIED TRANSMISSION**  
> **To: Squad Leader – Tactical Response Unit**  
> **From: Central Command**  
> **Encryption Level: OMEGA – EYES ONLY**  
> 
> **Squad Leader,**  
>  
> You're being deployed to **Prometheus Base**.  
> We don’t have much intel, and what little we do have is fragmented.  
>  
> ### **Mission Briefing**  
>  
> Prometheus is an inhospitable world—**cold, barren, and endlessly battered by powerful winds**.  
> The planet’s surface consists primarily of yellow sandstone, with a few scattered outposts spread across the terrain.  
> The main facility, now abandoned, was one of them.  
>  
> There was an **incident** involving a native lifeform.  
> Reports—what little we recovered—mention an **organic, worm-like structure** that **breached the rear section of the vehicle bay**.  
> The base administration initiated an investigation.  
> 
> According to recovered data fragments, **one or more entities emerged from the breach**.  
> Shortly after, systems started failing across the facility.  
> Command was left with no choice but to order an **immediate evacuation**.  
>  
> **No reinforcements were sent. No distress signals were answered.**  
>  
> This is the last recorded transmission from the base:  
>  
> ---
> 
> ```
> [LOG ENTRY 927-A]  
> DATE: Unknown  
> LOCATION: Prometheus, Main Base  
> STATUS: ABANDONED  
> 
>     Initial breach detected in vehicle storage.  
>     Unidentified organic entity confirmed.  
>     Power failure: 87% of facility offline.  
>     Security override: FAILED.  
>     Evacuation order: ISSUED.  
> 
> Mission Update: Tactical response team deployed.  
> Objective: Secure the base and neutralize threats.  
> ```
> ---
>  
> That was the **last** communication before the base went dark.  
>  
> Your mission is **clear**:  
>  
> **Secure the base.**  
> **Assess the threat.**  
> **Eliminate if necessary.**  
>  
> There are no known survivors. **Expect resistance.**  
> And Squad Leader—whatever came through that breach, **it’s still there.**  
>  
> **No reinforcements will be sent.**  
> You’re on your own.  
>  
> **Command out.**  

## Features  
- **Layout:** Designed to provide fair opportunities for both teams. Each team has an interactive element they can control. First, they must build either a drill (for Humans) or a booster (for Aliens) at the designated locations. Once activated, a red switch must be pressed to trigger the mechanism.
  - Humans can control a bridge, which can block or open a strategic corridor:
  - Aliens can activate or deactivate a heat-conducting pipeline. When active, it deals damage, creating a hazard for all ground units:  

## Changelog
 * * *
    v0.5 (08/03/2025)
    -Beta, Playtest Release
 * * *

## Installation
1. Download map and dependencies.
2. Place the `.dpk` file(s) in your *Unvanquished* `../Unvanquished/pkg/` directory.

## Development Tools:
[GIMP](https://www.gimp.org/) \
[Photoshop](https://www.adobe.com/de/products/photoshop.html) \
[Audacity](https://www.audacityteam.org/) \
[NetRadiant](https://netradiant.gitlab.io/) \
[Blender](https://www.blender.org) \
[Q3Map2](http://q3map2.robotrenegade.com/) \
[Notepad++](https://notepad-plus-plus.org/) \
[Crunch](https://github.com/BinomialLLC/crunch)

---

## License

This texture set is available for non-commercial use under the terms of the **[Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License](https://creativecommons.org/licenses/by-nc-nd/4.0/)**.

For a detailed overview of the licensing terms, please refer to the [`license.txt`](LICENSE.txt) file.

> **Original Assets:**
> - about/
>   - prometheus.txt
> - env/
>   - prometheus_sky_src/
>     - prometheus_sky_bk.jpg
>     - prometheus_sky_clouds.jpg
>     - prometheus_sky_color.jpg
>     - prometheus_sky_dn.jpg
>     - prometheus_sky_ft.jpg
>     - prometheus_sky_lf.jpg
>     - prometheus_sky_rt.jpg
>     - prometheus_sky_up.jpg
> 
> - maps/
>   - prometheus.bsp
> - meta/
>   - prometheus/
>     - prometheus.arena
>     - prometheus.jpg
> - minimaps/
>   - prometheus.minimap
>   - prometheus.webp
> - models/
>   - prometheus_custom/
>     - barrel_01.mtl
>     - barrel_01.obj
>     - box_01.mtl
>     - box_01.obj
>     - rocks_01.mtl
>     - rocks_01.obj
>     - rocks_01_small.mtl
>     - rocks_01_small.obj
>     - rocks_02.mtl
>     - rocks_02.obj
>     - rocks_03.mtl
>     - rocks_03.obj
>     - rocks_04.mtl
>     - rocks_04.obj
>     - rocks_05.mtl
>     - rocks_05.obj
>     - rocks_06.mtl
>     - rocks_06.obj
>     - rocks_07.mtl
>     - rocks_07.obj
>     - rocks_gradient_skybox.mtl
>     - rocks_gradient_skybox.obj
>     - rocks_misc_01.mtl
>     - rocks_misc_01.obj
>     - rocks_misc_02.mtl
>     - rocks_misc_02.obj
>     - rocks_misc_03.mtl
>     - rocks_misc_03.obj
>     - rocks_near_gradient_skybox.mtl
>     - rocks_near_gradient_skybox.obj
>     - rocks_skybox_01.mtl
>     - rocks_skybox_01.obj
>     - rocks_skybox_02.mtl
>     - rocks_skybox_02.obj
>     - rocks_sun_gradient_skybox.mtl
>     - rocks_sun_gradient_skybox.obj
>     - supply_hallway_model.mtl
>     - supply_hallway_model.obj
> - scripts/
>   - prometheus_custom.particle
>   - prometheus_custom.shader
> - textures/
>   - prometheus_custom_src/
>     - barrel_01_d.crn
>     - barrel_01_n.crn
>     - barrel_01_s.crn
>     - barrel_top_01_d.crn
>     - barrel_top_01_n.crn
>     - barrel_top_01_s.crn
>     - box_01_d.crn
>     - box_01_h.crn
>     - box_01_n.crn
>     - box_01_s.crn
>     - build_spot_01_d.crn
>     - build_spot_02_d.crn
>     - pipe_02_g1.crn
>     - rocks01_d.crn
>     - rocks01_h.crn
>     - rocks01_n.crn
>     - rocks01_s.crn
>     - rocks04_d.crn
>     - rocks04_h.crn
>     - rocks04_n.crn
>     - rocks04_s.crn
>     - rocks_gradient_skybox.crn
>     - rocks_gradient_skybox_qer.crn
>     - sfx_smoke_01.crn
>     - sfx_sun_01_d.crn
>     - sign_01.crn
>     - sign_02.crn
>     - spark_01.crn
>     - water_01_d.crn
>     - water_01_hhm.crn
> - sounds/
>   - prometheus_custom/
>     - sfx_silence.opus
 
> **Derivative Assets & Third Party:**
> - gfx/
>   - prometheus/
>     - colorgrading.webp (Unvanquished Development), GNU GPLv3, CC BY-SA 2.5)
> - sounds/
>   - prometheus_custom/
>     - ambient_rumble.opus (newlocknew, Attribution 4.0)
>     - ambient_wind.opus (nsstudios, Attribution 4.0)
>     - computer_working.opus (simplen00b, Creative Commons 0)
>     - electric_sparks_01.opus (NachtmahrTV, Creative Commons 0)
>     - hard_rumble.opus (newlocknew, Attribution 4.0)
>     - hot_metal.opus (FiveBrosStopMosYT, Attribution 4.0); (Speedenza, Attribution NonCommercial 4.0)
>     - machine_01.opus (newlocknew, Attribution 4.0)
>     - machine_02.opus (Erdie, Attribution 4.0)
>     - machine_03.opus (newlocknew, Attribution 4.0)
>     - machine_04.opus (PrismLightSoundWorks, Attribution 4.0)
>     - machine_pump_01.opus (Artninja, Attribution 4.0)
>     - machine_pump_stop_01.opus (Artninja, Attribution 4.0)
>     - platform_01_stop_01.opus (finalCrystine, Attribution 3.0)
>     - platform_01_stop_02.opus (finalCrystine, Attribution 3.0)
>     - platform_01_working.opus (finalCrystine, Attribution 3.0)
>     - sfx_button.opus (toam, Attribution 3.0)
>     - water_flow.opus (maxlang7, Creative Commons 0)
